EDIT - bug #7641

Reference editor: Error when incerting several new authors into a new author team
08/08/2018 03:30 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.3

Severity: blocker Found in Version:

Description

Collection team:
A collection team was built with new members as

Owsianny, P.M., Marciniak G. & Trawinski, K.
This team was created for 100118, and saved
This team was used for 100119

For 100123 it tried to select this team but it appeared as
Owsianny, P.M., Trawinski, K. & Trawinski, K.
Team for 100118 and 100119 appeared changed, too.

Related issues:
Related to EDIT - bug #7709: CdmTransientEntityCacher cannot handle multiple ... Feedback

Associated revisions

Revision fe3180d3 - 08/30/2018 12:20 PM - Andreas Kohlbecker
fix #7641 ignoring unpersisted entities in ToOneRelatedEntityReloader

History

#1 - 08/08/2018 07:03 PM - Andreas Kohlbecker
- Subject changed from PhycoBank Vaadin to unexpected collection team titleCaches
- Category set to cdm-vaadin

- Target version changed from Unassigned CDM tickets to Release 5.2

#2 - 08/15/2018 11:44 AM - Wolf-Henning Kusber
- File picture58-1.png added

- Severity changed from major to critical

2018-08-15
Documentation http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/8be1a6d5-ffb0-4ad5-b4a5-ee10af0ca7da

Reference: Lange-Bertalot H., Cavacini P., Tagliaventi N. & Alfinito S. 2003: Diatoms of Sardinia. Rare and 76 new species in rock pools and other
ephemeral waters. — Pp. [1]-438 in Lange-Bertalot H. (ed.): lconographia Diatomologica 12. — Ruggell: A.R.G. Gantner Verlag K.G.

Team not in the system:

Step one:

Create new team

Step two: select Lange-Bertalot, H.

Step three: new and put in P. Paolo Cavacini

Step four: new and put in N. Nadine Tagliaventi

Step five: new and put in S. Silvia Alfinito

No saving between step two and step 6

Step six. Save record

After Saving the reference editor show Lange-Bertalot, Alfinito, Alfinito & Alfinito = the last new team member replaces also new team member 2 and
new team member 3.

03/20/2024 1/5



http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/8be1a6d5-ffb0-4ad5-b4a5-ee10af0ca7da

#3 - 08/15/2018 12:06 PM - Wolf-Henning Kusber
- File picture395-1.png added

http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/reqgistration#!workingset/1c70fa46-c7a5-43e7-922a-379b20092077

Documentation:

Original reference

Antoniades D., Hamilton P.B., Douglas M.S.V. & Smol J.P. 2008: Diatoms of North America: The freshwater floras of Prince Patrick, Ellef Ringnes
and northern Ellesmere Islands from the Canadian Artic Archipelago. — Pp. 1-649 in Lange-Bertalot H. (ed.): Iconographia Diatomologica 17. —
Ruggell: A.R.G. Gantner Verlag K.G.

Antoniades entered newly

Hamilton selected

Douglas entered newly

Smol entered newly

Team: Smol, Hamilton, Smol & Smol

Last new entered Autor overwrites all other newly entered names of the team (screen shot)

#4 - 08/15/2018 12:16 PM - Wolf-Henning Kusber

All new authors, except the last one are not saved = they can not be selected.

#5 - 08/16/2018 10:14 AM - Wolf-Henning Kusber

- Subject changed from unexpected collection team titleCaches to Reference editor: Error when incerting several new author an a new author team

Collector

Team (bibliographic)

Team (nomenclatural)

Team members
P.M. Pawvet M. Chwesianny
Field number

_ PLOMT
Trawinski

Kind Of Unit ; Collection

lzoepitype
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/1c70fa46-c7a5-43e7-922a-379b20092077

Date published Reference type

=] 2003 Book B

Title

et

Diatoms of Sardinia. Rare and 76 new species in rock pools and other ephemeral waters.

MNomenclatural title

lconogr. Diatomol.
Author(s)

Team members

Lange-Bertalot

Lange-Bert.

Alfinito

Alfinito

In-reference

i

Series Volume Edition

lconographia Diatomelogica 12 [1}-43

Place published Publisher Editor ISBMN

Ruggell A R.G. Gantner Verlag K.G. Lange-Bertalot, H. 3-905186-01-5
Date published Reference type

=] 2008 Book n

Title

Diatoms of Morth America: The freshwater floras of Prince Patrick, Ellef Ringnes and northern Elesmere Izlands from the Canadian Artic Archipelago.

Nomenclatural title

Iconogr. Diatomol.
Author(s)

Team members

Hamilton

In-reference
@
Series Volume Edition

Iconographia Diatomologica 17

Place published Publisher Editor ISBMN

Ruggell A R.G. Gantner Verlag K.G. Lange-Bertalot, H.

#6 - 08/16/2018 10:27 AM - Wolf-Henning Kusber

- Subject changed from Reference editor: Error when incerting several new author an a new author team to Reference editor: Error when incerting
several new authors into a new author team

#7 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#8 - 08/28/2018 02:00 PM - Andreas Kohlbecker
- Priority changed from New to Highest
- Severity changed from critical to blocker

#9 - 08/30/2018 12:16 PM - Andreas Kohlbecker
- Related to bug #7709: CdmTransientEntityCacher cannot handle multiple unpersisted entities of the same type added

#10 - 08/30/2018 12:20 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|fe3180d3be765b382{150b613f9936¢711af9823.

#11 - 08/30/2018 12:22 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Problem solved, please test.

#12 - 08/30/2018 06:34 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Test 1: #3, #6, 3.screenshot: fehlerhaftes Team komplett gel6scht und neu angelegt mit 2 Autoren aus der Liste und 2 komplett neu anglegt. Alles
zusammen abgespeicher und kontrolliert: Fehlerfrei.

Test 2: #4, #6, 2. screenshot: Das Autenteam beibehalten aber die 2 Doppelten aus dem Team geldscht und 2 Autoren komplett neu angelegt. Alles
zusammen abgespeicher und kontrolliert: Fehlerfrei.

Danke!

Files

picture645-1.png 57.7 KB 08/08/2018 Wolf-Henning Kusber
picture58-1.png 60.2 KB 08/15/2018 Wolf-Henning Kusber
picture395-1.png 63.1 KB 08/15/2018 Wolf-Henning Kusber
